#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int x1,y1,x2,y2;
    cin>>x1>>y1;
    cin>>x2>>y2;

    int brKvadrata=0;

    if(x1==x2 || y1==y2)
        brKvadrata=2;
    else if(abs(x1-x2)==abs(y1-y2))
        brKvadrata=1;
    cout<<brKvadrata;

    return 0;
}